/*
	LPS Example

	Alex

	Language: C99
 	Style: plain C
 	Version: LPS20-Ex-2
 */

/*
	LPS20 Experimental Version 2
*/

/*

La versione Alex-LPS20-Ex-2 e' realizzata per la seguente implementazione C
- hardware: MacBook Pro (Retina, Mid 2012)
	- CPU 2,6 GHz Intel Core i7
	- RAM 16 GB 1600 MHz DDR3
	- Intel HD Graphics 4000 1536 MB
- sistema operativo: macOS Mojave 10.14.6 (18G4032)
- traduttore C: Apple clang version 11.0.0 (clang-1100.0.33.8)

La differenza tra le versioni Alex-LPS20-Ex-1 e Alex-LPS20-Ex-2 e' l'ordine 
in cui si susseguono la dichiarazione della variabile c e quella dell'array a

La versione Alex-LPS20-Ex-2 non termina.

*/

#define N 7
#include <stdio.h>

int main( void ) {

	signed char c;
	signed char a[ N ];

	printf( "Indirizzo di c: %p\n", &c );
	printf( "Indirizzo di a: %p\n", &a );
	printf( "Indirizzo del POPLEL di a: %p\n", &a[ N ] );

	printf( "\n Primo ciclo iniziato!\n" );
	for ( c = 0 ; c <= N ; c++ ) printf( "%d ", a[ c ] );
	printf( "\n Primo ciclo terminato!\n" );

	printf( "\n Secondo ciclo iniziato!\n" );
	for ( c = 0 ; c <= N ; c++ ) a[ c ] = -1;
	printf( "\n Secondo ciclo terminato!\n" );
	
	printf( "\n Terzo ciclo iniziato!\n" );
	for ( c = 0 ; c <= N ; c++ ) printf( "%d ", a[ c ] );
	printf( "\n Terzo ciclo terminato!\n" );

	printf( "\n" );
	return 0;
}

